/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package at.fhooe.mc.magicwand.client.sensors;


import javax.microedition.location.*;

/**
 *
 * @author Manu
 */
public class GPSReader {
    
    private double m_longitude;
    private double m_latitude;
    
    public GPSReader(){
        m_longitude = 0.0;
        m_latitude = 0.0;
    }

    public void updatePosition(){
        Criteria criteria = new Criteria();
        criteria.setHorizontalAccuracy(500);
        
        try {
            LocationProvider lp = LocationProvider.getInstance(criteria);
            Location l = lp.getLocation(30);
            Coordinates c = l.getQualifiedCoordinates();
            if (c != null){
                m_latitude = c.getLatitude();
                m_longitude = c.getLongitude();
            }
        } catch (Exception _e){
            _e.printStackTrace();
        }

    }
    
    public double getLongitude(){
        return m_longitude;
    }
    
    public double getLatitude(){
        return m_latitude;
    }
    
}
